xcode常见错误处理-阿里云开发者社区

开发者社区> jamesjxiao> 正文

xcode常见错误处理

简介: 问题:xcode 7编译错误:bitcode is not supported on versions of iOS prior to 6.0 解决:Build Options | Enable Bitcode 设置为No即可 原因:这是Apple Watch使用的   问题:Build iOS时提示没法拉起Xcode:   UnityException: Launching iOS project via Xcode4 failed. Check editor log for details。
+关注继续查看

问题:xcode 7编译错误:bitcode is not supported on versions of iOS prior to 6.0

解决:Build Options | Enable Bitcode 设置为No即可

原因:这是Apple Watch使用的

 

问题:Build iOS时提示没法拉起Xcode:

  UnityException: Launching iOS project via Xcode4 failed. Check editor log for details。

解决:最新版xcode有这个问题,手动打开xcode即可。

 

问题:在使用Append模式导出xcode时,Unity出现以下错误:

  Error building Player: KeyNotFoundException: The given key was not present in the dictionary.

解决:This issue has been fixed. The fix will appear in 4.6.6p1 and 5.0.3.

 

问题:app installation failed an unknow error

解决:(1)Clean & Build(2)重启XCode(3)Window -> Projects -> 选择项目 -> 删除Derived Data

 

问题:This application's application-identifier entitlement does not match that of the installed application. These values must match for an upgrade to be allowed.

解决:iPhone上已经装了包标识符一样的 App,删掉再运行。

 

问题:在使用Xcode进行真机调试时,弹出对话框”Could not find Developer Disk Image"

解决:在“/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport”里列出了当前版本的Xcode7.0支持的设备列表。

如果没有不支持当前ios版本则需要升级xcode。

 

Build iOS的2个选项:

  Append:只更新变化的部分

  Replace:重新替换所有部分

  在点run的时候你会发现,所有的scene和Resources里的东西都会打包成assets结尾的东西,复制到目录下,这个过程的长短,取决于你的scene有多大,你的Resources内容多不多。

 

问题:如何查看一个ipa的证书

解决:将ipa解压出app,然后运行命令

  codesign -vv -d ***.app,即可查看

 

问题:This application’s application-identifier entitlement does not match that of the installed application. These values must match for an upgrade to be allowed.

解决:两次编译的用的证书不一致,把之前装的app卸载,重新安装下。

 

问题:Code Signing Error: No signing certificate "iOS Development" found: No "iOS Development" signing certificate matching team ID "972Y28B955" with a private key was found.

解决:本地没有证书的私钥,需要导入p12

   也有可能是因为本地有多个同名证书,xcode选择的时候冲突了,其中有的有私钥,有的没有,这种情况下将没有私钥的

 

 问题:xcrun: error: unable to find utility "PackageApplication", not a developer tool or in PATH

 解决:xcode中没有PackageApplication,拷贝或者下载一份放在xcode里面即可

 

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

相关文章
Xcode 升级后,常常遇到的遇到的警告、错误,解决方法(转)
从sdk3.2.5升级到sdk 7.1中间废弃了很多的方法,还有一些逻辑关系更加严谨了。1,警告:“xoxoxoxo”  is deprecated解决办法:查看xoxoxoxo的这个方法的文档,替换掉这个方法即可。
1058 0
JavaScript错误处理
我们在编写js过程中,难免会遇到一些代码错误问题需要找出来;有时怕因为js问题导致用户体验差,这里给出一些常见错误及解决方法
1969 0
MaxCompute(ODPS)上处理非结构化数据的Best Practice
随着MaxCompute(ODPS)2.0的上线,新增的非结构化数据处理框架也推出一系列的介绍文章,包括 MaxCompute上如何访问OSS数据, 基本功能用法和整体介绍,侧重介绍读取OSS数据进行计算处理; 本文:MaxCompute(ODPS)上处理非结构化数据的Best Practice。
4098 0
C++常见gcc编译链接错误解决方法
除非明确说明,本文内容仅针对x86/x86_64的Linux开发环境,有朋友说baidu不到,开个贴记录一下(加粗字体是关键词):用“-Wl,-Bstatic”指定链接静态库,使用“-Wl,-Bdynamic”指定链接共享库,使用示例:-Wl,-Bstatic -lmysqlclient_r -lssl -lcrypto -Wl,-Bdynamic -lrt -Wl,-Bdynamic -pthread -Wl,-Bstatic -lgtest("-Wl"表示是传递给链接器ld的参数,而不是编译器gcc/g++的参数。
1627 0
gradle编译遇到 org/apache/commons/codec/binary/Base64错误解决
### gradle编译遇到 org/apache/commons/codec/binary/Base64错误解决 android studio升级到gradle 版本升级到2.14.1, android build tools升级到 2.2.2后出现 `org/apache/commons/codec/binary/Base64` 错误。 错误信息是 ``` 14:47:26.2
9495 0
+关注
jamesjxiao
游戏领域耕耘者~
85
文章
0
问答
文章排行榜
最热
最新
相关电子书
更多
文娱运维技术
立即下载
《SaaS模式云原生数据仓库应用场景实践》
立即下载
《看见新力量:二》电子书
立即下载